
--[[

*********************************************************************************
MGCP リクエストコマンド受信時のイベントハンドラスクリプト。
MGCP/HANDLER/REQUESTからこのスクリプトが呼び出されます。
*********************************************************************************

スクリプト起動時に渡されるパラメータ
---------------------------------------------------------------------------------
キー値          値                                                      値の例
---------------------------------------------------------------------------------
request			リクエストコマンド文字列(JSON)
															{"command":"version"}

スクリプト中でセットするリターンパラメータ
---------------------------------------------------------------------------------
キー値          値                                                      値の例
---------------------------------------------------------------------------------
reply			リプライ文字列

]]

local reply_json_tbl = g_json.decode(g_params["request"])
reply_json_tbl.result = "success"
reply_json_tbl.error_text = ""
local reply_json = g_json.encode(reply_json_tbl)
script_result("reply",reply_json)
