
--[[
******************************************************************************

abs_agent が動作しているコンピュータの IPv4 アドレスを取得する
eth0 以外のインターフェイスを指定する場合にはスクリプトを修正して下さい。

update:

	2023/8/2	末尾のスペースを取り除いた

	2018/4/14	"ip" コマンドをやめて "hostname" コマンドを使用するようにした

******************************************************************************
]]

local ip_addr = ""
-- local cmd = [[ip addr show eth0 | grep -o 'inet [0-9]\+\.[0-9]\+\.[0-9]\+\.[0-9]\+' | grep -o [0-9].*]]
local cmd = [[hostname -I| sed 's/^ *\| *$//g']]
local f = assert(io.popen (cmd))
for line in f:lines() do -- 通常は１行しか取得しない筈
	ip_addr = line
end
f:close()

script_result("IPAddress",ip_addr)
