
--[[

*********************************************************************************
MGCP リクエストコマンド受信時のイベントハンドラスクリプト。
MGCP/HANDLER/REQUESTからこのスクリプトが呼び出されます。
*********************************************************************************

スクリプト起動時に渡されるパラメータ
---------------------------------------------------------------------------------
キー値          値                                                      値の例
---------------------------------------------------------------------------------
request			リクエストコマンド文字列(JSON)
															{"command":"version"}

スクリプト中でセットするリターンパラメータ
---------------------------------------------------------------------------------
キー値          値                                                      値の例
---------------------------------------------------------------------------------
reply			リプライ文字列

]]

local reply_json
local mstat,module_stat,program_info = service_module_status()
if mstat then
	reply_json = '{"result":"success","version":"' .. program_info['Version'] .. '","license":"' .. program_info['LicensedUser'] .. '"}'
else
	reply_json = '{"result":"fail","error_text":"service_module_status() failed"}'
end
script_result("reply",reply_json)
